## org.hibernate.id.insert
Class IdentifierGeneratingInsert

    java.lang.Object
      org.hibernate.sql.Insert
          org.hibernate.id.insert.IdentifierGeneratingInsert

Direct Known Subclasses:
  InsertSelectIdentityInsert, SequenceIdentityGenerator.NoCommentsInsert

    public class IdentifierGeneratingInsert

extends Insert

Nothing more than a distinguishing subclass of Insert used to indicate intent. Some subclasses of this also provided some additional functionality or semantic to the genernated SQL statement string.

Author:
  Steve Ebersole

Constructor Summary
`IdentifierGeneratingInsert(Dialect dialect)`

Method Summary

Methods inherited from class org.hibernate.sql.Insert
`addColumn, addColumn, addColumn, addColumns, addColumns, addColumns, addIdentityColumn, getDialect, setComment, setTableName, toStatementString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentifierGeneratingInsert

    public IdentifierGeneratingInsert(Dialect dialect)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.